%define mediawiki_extensions %{_datadir}/mediawiki/extensions
%define oname Math
%define mwikiver 1.19
%define gitrel 110614

Name:		    mediawiki-math
Version:	    1.0
Release:	    %mkrel 1.%{gitrel}.1
Summary:	    Mediawiki extension for %{oname}
License:	    GPLv2+
Group:		    System/Servers

Url:		    http://www.mediawiki.org/wiki/Extension:%{oname}

Source0:	    http://upload.wikimedia.org/ext-dist/%{oname}-MW%{mwikiver}-%{gitrel}.tar.gz
Source1:        mw-addMathextensionToInstances.in

BuildRequires:  ocaml >= 3.06
Requires:	    mediawiki > %{mwikiver}
Requires:	    tetex-dvips
Requires:       tetex-latex
# make upgrade from mediawiki packages < 1.19 painless
Obsoletes:      mediawiki < 1.19

%description
Math extension provides support for rendering mathematical formulas on-wiki via
texvc. It was a part of the core MediaWiki software until MediaWiki 1.18


%prep
%setup -q -n %{oname}

%build
cd math
make

%install
mkdir -p %{buildroot}%{mediawiki_extensions}/%{oname}
cp -a * %{buildroot}%{mediawiki_extensions}/%{oname}
mkdir %{buildroot}%{_sbindir}
sed -e 's,@extensiondir@,%{mediawiki_extensions}/%{oname},g' \
  < %{SOURCE1} > %{buildroot}%{_sbindir}/mediawiki-addMathextensionToInstances

cat  > README.install.urpmi << EOF
To use this extension, you have to add
the following lines to your LocalSettings.php

require_once("%{mediawiki_extensions}/Math/Math.php");
\$wgTexvc = "%{mediawiki_extensions}/Math/texvc";

Then run mediawiki-addMathExtensionToInstances as root.

In addition make sure the variables \$wgMathDirectory,
\$wgMathPath and \$wgTmpDirectory are set as well as the
more general variables \$wgEnableUploads and \$wgUploadPath
according to your wiki instance paths.

Then run mediawiki-updateall to update the databases of
your mediawiki instances.

For more information, see http://www.mediawiki.org/wiki/Extension:Math
EOF

%files
%doc README.install.urpmi
%{mediawiki_extensions}/%{oname}
%attr(0700,root,root) %{_sbindir}/mediawiki-addMathextensionToInstances


%changelog
* Fri Jul 19 2013 luigiwalser <luigiwalser> 1.0-1.110614.1.mga2
+ Revision: 456308
- imported package mediawiki-math

